#!/bin/sh
# Usage: ./download-maven.sh https://repo1.maven.org/maven2 org/maven/group/path maven-artifact-id 1.2.3 jar
# Usage: ./download-maven.sh https://repo1.maven.org/maven2 org/maven/group/path maven-artifact-id 1.2.3 jar a_username a_password
THISDIR=`dirname "$(readlink -f "$0")"`

MAVEN_BASEURL=$1
MAVEN_GROUP_PATH=$2
MAVEN_ARTIFACT_ID=$3
MAVEN_ARTIFACT_VERSION=$4
MAVEN_PACKAGING=$5
HTTP_USERNAME=$6
HTTP_PASSWORD=$7

MAVEN_ARTIFACT_FILENAME=${MAVEN_ARTIFACT_ID}-${MAVEN_ARTIFACT_VERSION}.${MAVEN_PACKAGING}
MAVEN_URL=${MAVEN_BASEURL}/${MAVEN_GROUP_PATH}/${MAVEN_ARTIFACT_ID}/${MAVEN_ARTIFACT_VERSION}/${MAVEN_ARTIFACT_FILENAME}
echo $MAVEN_URL

${THISDIR}/download-url.sh "${MAVEN_URL}" "${MAVEN_ARTIFACT_FILENAME}" "${HTTP_USERNAME}" "${HTTP_PASSWORD}"
